## gnome-builder 3.29.91

=== meson_options.txt ===
option('enable_tracing', type: 'boolean', value: false, description: 'Enable tracing of internals for troubleshooting Builder')
option('enable_profiling', type: 'boolean', value: false, description: 'Enable profiling of the Builder codebase')
option('enable_rdtscp', type: 'boolean', value: false, description: 'High performance counters')
option('fusermount_wrapper', type: 'boolean', value: false, description: 'Install fusermount-wrapper when distributing with flatpak')
option('with_tcmalloc', type: 'boolean', value: false, description: 'Use tcmalloc for dynamic allocations')

option('with_safe_path', type: 'string', value: '', description: 'PATH variable to run build commands (default: platform-specific)')
option('with_channel',
          type: 'combo',
       choices: [ 'other', 'flatpak-stable', 'flatpak-nightly' ],
   description: 'The distribution channel for Builder',
)

option('with_editorconfig', type: 'boolean')
option('with_webkit', type: 'boolean')
option('with_vapi', type: 'boolean')
option('with_help', type: 'boolean', value: false)
option('with_docs', type: 'boolean', value: false)

option('ctags_path', type: 'string', value: '')

option('python_libprefix', type: 'string')

# Plugins
# Ideally we want many of these to be defined in the plugin dir:
#   https://github.com/mesonbuild/meson/issues/707
option('with_autotools', type: 'boolean')
option('with_autotools_templates', type: 'boolean', value: false)
option('with_beautifier', type: 'boolean')
option('with_c_pack', type: 'boolean')
option('with_cargo', type: 'boolean')
option('with_clang', type: 'boolean')
option('with_cmake', type: 'boolean')
option('with_color_picker', type: 'boolean')
option('with_code_index', type: 'boolean')
option('with_command_bar', type: 'boolean')
option('with_comment_code', type: 'boolean')
option('with_create_project', type: 'boolean')
option('with_ctags', type: 'boolean')
option('with_devhelp', type: 'boolean')
option('with_deviced', type: 'boolean', value: false)
option('with_eslint', type: 'boolean')
option('with_file_search', type: 'boolean')
option('with_find_other_file', type: 'boolean')
option('with_flatpak', type: 'boolean')
option('with_gradle', type: 'boolean')
option('with_gcc', type: 'boolean')
option('with_gdb', type: 'boolean')
option('with_gettext', type: 'boolean')
option('with_git', type: 'boolean')
option('with_gjs_symbols', type: 'boolean')
option('with_gnome_code_assistance', type: 'boolean')
option('with_go_langserv', type: 'boolean')
option('with_history', type: 'boolean')
option('with_html_completion', type: 'boolean')
option('with_html_preview', type: 'boolean')
option('with_jedi', type: 'boolean')
option('with_jhbuild', type: 'boolean')
option('with_make', type: 'boolean')
option('with_maven', type: 'boolean')
option('with_meson', type: 'boolean')
option('with_meson_templates', type: 'boolean')
option('with_mono', type: 'boolean')
option('with_notification', type: 'boolean')
option('with_newcomers', type: 'boolean')
option('with_npm', type: 'boolean')
option('with_phpize', type: 'boolean')
option('with_project_tree', type: 'boolean')
option('with_python_gi_imports_completion', type: 'boolean')
option('with_python_pack', type: 'boolean')
option('with_qemu', type: 'boolean')
option('with_quick_highlight', type: 'boolean')
option('with_retab', type: 'boolean')
option('with_rust_langserv', type: 'boolean')
option('with_rustup', type: 'boolean')
option('with_spellcheck', type: 'boolean')
option('with_snippets', type: 'boolean')
option('with_support', type: 'boolean')
option('with_symbol_tree', type: 'boolean')
option('with_sysmon', type: 'boolean')
option('with_sysprof', type: 'boolean')
option('with_sysroot', type: 'boolean')
option('with_todo', type: 'boolean')
option('with_vala_pack', type: 'boolean')
option('with_valgrind', type: 'boolean')
option('with_words', type: 'boolean')
option('with_xml_pack', type: 'boolean')

=== debian/changelog ===
gnome-builder (3.29.91-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/p/revert-require-vte.patch: Ubuntu's vte2.91 doesn't use pcre2 yet
    - debian/gbp.conf, control.in: update for ubuntu branch/tags
    - Build with vala 0.42
  * Refresh the vte patches and merge into a single patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Aug 2018 14:32:30 -0400

gnome-builder (3.29.91-1) experimental; urgency=medium

  * New upstream development release
  * debian/rules: Update build options
  * Bump Build-Depends versions:
    - libdazzle-1.0-dev (>= 3.29.91)
    - libjsonrpc-glib-1.0-dev (>= 3.29.91)
    - libglib2.0-dev (>= 2.57.2)
    - meson (>= 0.47.1)
    - sysprof (>= 3.29.3)
    - libgtksourceview-4-dev instead of libgtksourceview-3.0-dev
  * debian/gnome-builder.install: Update
    - app icons are now installed to app-specific directory
  * Drop Python-Avoid-identifier-async-which-became-a-keyword-in-3.patch:
    - Applied in new release
  * Refresh fix-build-with-multiarch.patch

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 22 Aug 2018 10:03:51 -0400

gnome-builder (3.28.4-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/p/revert-require-vte*.patch: Ubuntu's vte2.91 doesn't use pcre2 yet 
    - debian/gbp.conf, control.in: update for ubuntu branch/tags
  * Refresh revert-require-vte46b.patch
  * Build with vala 0.42

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Aug 2018 09:12:30 -0400

gnome-builder (3.28.4-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.0 (no changes required)

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Tue, 21 Aug 2018 18:55:53 +0300

gnome-builder (3.28.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/p/Python-Avoid-identifier-async-which-became-a-keyword-in-3.patch:
    Add patch to avoid async as a Python identifier, for Python 3.7
    compatibility (Closes: #903558)
  * Standards-Version: 4.1.5 (no changes required)
  * Set Rules-Requires-Root to no

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Jul 2018 14:19:07 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-builder
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: appstream-util,
               ca-certificates <!nocheck>,
               dh-python,
               python3-gi (>= 3.22.0),
               python3:any,
               debhelper (>= 11.1),
               desktop-file-utils,
               exuberant-ctags,
               gnome-pkg-tools,
               gobject-introspection (>= 1.48.0),
               libclang-dev,
               libdazzle-1.0-dev (>= 3.29.91),
               libdevhelp-dev (>= 3.20.0),
               libenchant-dev (>= 1.6.0),
               libflatpak-dev (>= 0.6.9) [linux-any],
               libgit2-glib-1.0-dev (>= 0.25.0),
               libjsonrpc-glib-1.0-dev (>= 3.29.91),
               libsoup2.4-dev,
               libglib2.0-dev (>= 2.57.2),
               libgspell-1-dev (>= 1.2.0),
               libgtk-3-dev (>= 3.22.1),
               libgtksourceview-4-dev (>= 4.0.0),
               libjson-glib-dev (>= 0.1.0),
               libpango1.0-dev (>= 1.38.0),
               libpcre3-dev,
               libpeas-dev (>= 1.22.0),
               libtemplate-glib-1.0-dev (>= 3.28.0),
               libvala-0.42-dev,
               libvte-2.91-dev (>= 0.46),
               libwebkit2gtk-4.0-dev (>= 2.8.4),
               libxml2-dev (>= 2.9.0),
               llvm,
               llvm-dev,
               meson (>= 0.47.1),
               mm-common,
               sysprof (>= 3.29.3) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
               valac (>= 0.41),
               valac (>= 0.39.7),
               xauth <!nocheck>,
               xvfb <!nocheck>,
# Don't (re)build libide api docs for now:
#               gtk-doc-tools,
Rules-Requires-Root: no
Standards-Version: 4.2.0
Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-builder/+git/gnome-builder
Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-builder
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git
Homepage: https://wiki.gnome.org/Apps/Builder

Package: gnome-builder
Architecture: any
Depends: exuberant-ctags,
         gir1.2-ggit-1.0 (>= 0.25.0),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0 (>= 3.22.1),
         gir1.2-gtksource-3.0 (>= 3.22.0),
         gir1.2-peas-1.0 (>= 1.22.0),
         gir1.2-webkit2-4.0 (>= 2.8.4),
         python3-gi,
         valac-0.42-vapi,
         libvala-0.42-dev,
         clang,
         ${gir:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: autoconf,
            autoconf-archive (>= 20150224),
            automake (>= 1:1.11),
            autopoint,
            build-essential,
            flatpak-builder,
            gettext,
            intltool,
            libtool,
            meson,
            pkg-config,
            python3-jedi,
            python3-lxml,
            sysprof,
            valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x x32]
Description: IDE for GNOME
 Builder is a new IDE for GNOME that is focused on bringing the power of
 our platform to more developers than ever before.
 .
 Builder attempts to be an IDE for writing software for GNOME. It does not try
 to be a generic IDE, but one specialized for GNOME application developers.

## gnome-builder 3.30.0

=== debian/changelog ===
gnome-builder (3.30.0-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add revert-require-vte.patch: Ubuntu's vte2.91 doesn't use pcre2 yet
    - debian/gbp.conf, control.in: update for ubuntu branch/tags

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 05 Sep 2018 11:21:02 -0400

gnome-builder (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Depend and Build-Depend on virtual vala packages instead of versioned ones
    so that we can do no-change rebuilds for new vala series (Closes: #907938)
  * Bump minimum libdazzle-1.0-dev to 3.29.92
  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 05 Sep 2018 11:02:30 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                gnome-pkg-tools,
                gobject-introspection (>= 1.48.0),
                libclang-dev,
-               libdazzle-1.0-dev (>= 3.29.91),
+               libdazzle-1.0-dev (>= 3.29.92),
                libdevhelp-dev (>= 3.20.0),
                libenchant-dev (>= 1.6.0),
                libflatpak-dev (>= 0.6.9) [linux-any],
@@ -35,7 +35,7 @@
                libpcre3-dev,
                libpeas-dev (>= 1.22.0),
                libtemplate-glib-1.0-dev (>= 3.28.0),
-               libvala-0.42-dev,
+               libvala-dev,
                libvte-2.91-dev (>= 0.46),
                libwebkit2gtk-4.0-dev (>= 2.8.4),
                libxml2-dev (>= 2.9.0),
@@ -52,6 +52,7 @@
 #               gtk-doc-tools,
 Rules-Requires-Root: no
 Standards-Version: 4.2.0
+X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-builder/+git/gnome-builder
 Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-builder
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder
@@ -68,8 +69,8 @@
          gir1.2-peas-1.0 (>= 1.22.0),
          gir1.2-webkit2-4.0 (>= 2.8.4),
          python3-gi,
-         valac-0.42-vapi,
-         libvala-0.42-dev,
+         valac-vapi,
+         libvala-dev,
          clang,
          ${gir:Depends},
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Explicitly disable this plugin which defaults to enabled
# unless we're on the limited set of architectures that has sysprof.
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32,$(DEB_HOST_ARCH)))
SYSPROF_PLUGIN = -Dwith_sysprof=true
else
SYSPROF_PLUGIN = -Dwith_sysprof=false
endif

ifneq (,$(filter amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x x32,$(DEB_HOST_ARCH)))
VALGRIND_PLUGIN = -Dwith_valgrind=true
else
VALGRIND_PLUGIN = -Dwith_valgrind=false
endif

ifneq (,$(findstring linux,$(DEB_HOST_ARCH_OS)))
FLATPAK_PLUGIN = -Dwith_flatpak=true
else
FLATPAK_PLUGIN = -Dwith_flatpak=false
endif

%:
	dh $@  --with gir,gnome,python3

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dwith_autotools=true \
		-Dwith_autotools_templates=true \
		-Dwith_beautifier=true \
		-Dwith_cargo=true \
		-Dwith_clang=true \
		-Dwith_cmake=true \
		-Dwith_color_picker=true \
		-Dwith_command_bar=true \
		-Dwith_comment_code=true \
		-Dwith_create_project=true \
		-Dwith_c_pack=true \
		-Dwith_ctags=true \
		-Dwith_docs=false \
		-Dwith_eslint=true \
		-Dwith_file_search=true \
		-Dwith_fpaste=true \
		-Dwith_gcc=true \
		-Dwith_gettext=true \
		-Dwith_git=true \
		-Dwith_gnome-code-assistance=true \
		-Dwith_gradle=true \
		-Dwith_help=false \
		-Dwith_html-completion=true \
		-Dwith_html-preview=true \
		-Dwith_jedi=true \
		-Dwith_jhbuild=true \
		-Dwith_make=true \
		-Dwith_maven=true \
		-Dwith_meson=true \
		-Dwith_mono=true \
		-Dwith_meson_templates=true \
		-Dwith_mingw=false \
		-Dwith_newcomers=true \
		-Dwith_phpize=true \
		-Dwith_project-tree=true \
		-Dwith_python-gi-imports-completion=true \
		-Dwith_python-pack=true \
		-Dwith_quick-highlight=true \
		-Dwith_rust-langserv=true \
		-Dwith_support=true \
		-Dwith_symbol-tree=true \
		-Dwith_sysmon=true \
		-Dwith_sysroot=true \
		-Dwith_todo=true \
		-Dwith_vala-pack=true \
		-Dwith_xml-pack=true \
		-Dwith_webkit=true \
		-Dwith_words=true \
		$(FLATPAK_PLUGIN) \
		$(SYSPROF_PLUGIN) \
		$(VALGRIND_PLUGIN)

# force debian/tmp installation for now until we ship
# more than one binary package, then this can be dropped...
override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_auto_test:
	xvfb-run dh_auto_test || true

override_dh_install:
	rm -rf debian/tmp/usr/lib/python*/*-packages/gi/overrides/__pycache__/
	find debian/tmp -name '*.la' -print -delete
	find debian/tmp/usr/lib/ \( -name '*.pyc' -o -name '*.pyo' \) -print -delete
	rm -rf debian/tmp/usr/include/gnome-builder-*
	dh_install -Xpkgconfig -Xgir-1.0

override_dh_missing:
	# see debian/not-installed and bgo#758266 + #804769
	dh_missing --fail-missing -Xpkgconfig

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder

override_dh_shlibdeps:
	LD_LIBRARY_PATH="debian/gnome-builder/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/" dh_shlibdeps

override_dh_girepository:
	dh_girepository -ldebian/tmp/usr/share/gnome-builder/gir-1.0 \
	  /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/ \
	  /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/girepository-1.0/

override_dh_python3:
# https://bugs.debian.org/838342
	dh_python3 -X.*/plugins/autotools_templates/resources/.* -X.*/plugins/meson_templates/resources/.*

## gnome-builder 3.30.1

=== debian/changelog ===
gnome-builder (3.30.1-6ubuntu1) cosmic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add revert-require-vte.patch: Ubuntu's vte2.91 doesn't use pcre2 yet
    - debian/gbp.conf, control.in: update for ubuntu branch/tags

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 11 Oct 2018 12:17:21 -0400

gnome-builder (3.30.1-6) unstable; urgency=medium

  * Cherry-pick commits from 3.30 branch through October 9
  * Disable network tests through the new build option instead of with a patch
  * Install gtksourceview3 styles

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 11 Oct 2018 12:14:34 -0400

gnome-builder (3.30.1-5) unstable; urgency=medium

  * Modify gstyle-increase-test-gstyle-color-timeout.patch:
    - Increase timeout to 750 seconds

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Sep 2018 21:05:59 -0400

gnome-builder (3.30.1-4) unstable; urgency=medium

  * Modify gstyle-increase-test-gstyle-color-timeout.patch:
    - Increase timeout to 240 seconds

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 26 Sep 2018 21:46:02 -0400

gnome-builder (3.30.1-3) unstable; urgency=medium

  * Cherry-pick gstyle-remove-assertion-from-test.patch:
    - Fix i386 build test by removing an assert affected by rounding issues
  * Cherry-pick gstyle-increase-test-gstyle-color-timeout.patch:
    - Increase timeout to 120 seconds for one of the slower tests

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 26 Sep 2018 17:27:34 -0400

gnome-builder (3.30.1-2ubuntu2) cosmic; urgency=medium

  * Cherry-pick gstyle-remove-assertion-from-test.patch
    - Fix i386 build test by removing an assert affected by rounding issues

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 26 Sep 2018 11:00:12 -0400

gnome-builder (3.30.1-2ubuntu1) cosmic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add revert-require-vte.patch: Ubuntu's vte2.91 doesn't use pcre2 yet
    - debian/gbp.conf, control.in: update for ubuntu branch/tags

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 25 Sep 2018 22:16:39 -0400

gnome-builder (3.30.1-2) unstable; urgency=medium

  * Cherry-pick gsettings-generate-gschema.compiled-for-unit-tests.patch
    - Compile gsettings schemas so they can be used for build tests
  * Use dbus-run-session for build tests and stop ignoring test failures

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Sep 2018 22:15:14 -0400

gnome-builder (3.30.1-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add revert-require-vte.patch: Ubuntu's vte2.91 doesn't use pcre2 yet
    - debian/gbp.conf, control.in: update for ubuntu branch/tags

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 25 Sep 2018 10:20:54 -0400

gnome-builder (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * Stop overriding upstream to install autotools templates.
    They will be completely removed in 3.32.
  * Drop configure flags that already default to true
  * Add Use-nonet-for-appstream-validate.patch
    - Don't attempt network access during AppStream validation test

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Sep 2018 10:03:12 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream-util,
+               at-spi2-core <!nocheck>,
                ca-certificates <!nocheck>,
+               dbus <!nocheck>,
                dh-python,
                python3-gi (>= 3.22.0),
                python3:any,

=== debian/rules ===
--- 
+++ 
@@ -29,54 +29,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dwith_autotools=true \
-		-Dwith_autotools_templates=true \
-		-Dwith_beautifier=true \
-		-Dwith_cargo=true \
-		-Dwith_clang=true \
-		-Dwith_cmake=true \
-		-Dwith_color_picker=true \
-		-Dwith_command_bar=true \
-		-Dwith_comment_code=true \
-		-Dwith_create_project=true \
-		-Dwith_c_pack=true \
-		-Dwith_ctags=true \
-		-Dwith_docs=false \
-		-Dwith_eslint=true \
-		-Dwith_file_search=true \
-		-Dwith_fpaste=true \
-		-Dwith_gcc=true \
-		-Dwith_gettext=true \
-		-Dwith_git=true \
-		-Dwith_gnome-code-assistance=true \
-		-Dwith_gradle=true \
-		-Dwith_help=false \
-		-Dwith_html-completion=true \
-		-Dwith_html-preview=true \
-		-Dwith_jedi=true \
-		-Dwith_jhbuild=true \
-		-Dwith_make=true \
-		-Dwith_maven=true \
-		-Dwith_meson=true \
-		-Dwith_mono=true \
-		-Dwith_meson_templates=true \
-		-Dwith_mingw=false \
-		-Dwith_newcomers=true \
-		-Dwith_phpize=true \
-		-Dwith_project-tree=true \
-		-Dwith_python-gi-imports-completion=true \
-		-Dwith_python-pack=true \
-		-Dwith_quick-highlight=true \
-		-Dwith_rust-langserv=true \
-		-Dwith_support=true \
-		-Dwith_symbol-tree=true \
-		-Dwith_sysmon=true \
-		-Dwith_sysroot=true \
-		-Dwith_todo=true \
-		-Dwith_vala-pack=true \
-		-Dwith_xml-pack=true \
-		-Dwith_webkit=true \
-		-Dwith_words=true \
+		-Dnetwork_tests=false \
 		$(FLATPAK_PLUGIN) \
 		$(SYSPROF_PLUGIN) \
 		$(VALGRIND_PLUGIN)
@@ -86,8 +39,11 @@
 override_dh_auto_install:
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp
 
+CHECK_RUNTIME_DIR= $(CURDIR)/debian/tmp/run
+
 override_dh_auto_test:
-	xvfb-run dh_auto_test || true
+	mkdir -p -m0700 $(CHECK_RUNTIME_DIR)
+	HOME=$(CHECK_RUNTIME_DIR) dbus-run-session -- xvfb-run dh_auto_test
 
 override_dh_install:
 	rm -rf debian/tmp/usr/lib/python*/*-packages/gi/overrides/__pycache__/
@@ -113,4 +69,4 @@
 
 override_dh_python3:
 # https://bugs.debian.org/838342
-	dh_python3 -X.*/plugins/autotools_templates/resources/.* -X.*/plugins/meson_templates/resources/.*
+	dh_python3 -X.*/plugins/meson_templates/resources/.*

## gnome-builder 3.30.3

=== meson_options.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 option('enable_tracing', type: 'boolean', value: false, description: 'Enable tracing of internals for troubleshooting Builder')
 option('enable_profiling', type: 'boolean', value: false, description: 'Enable profiling of the Builder codebase')
-option('enable_rdtscp', type: 'boolean', value: false, description: 'High performance counters')
 option('fusermount_wrapper', type: 'boolean', value: false, description: 'Install fusermount-wrapper when distributing with flatpak')
 option('with_tcmalloc', type: 'boolean', value: false, description: 'Use tcmalloc for dynamic allocations')
 
@@ -16,6 +15,8 @@
 option('with_vapi', type: 'boolean')
 option('with_help', type: 'boolean', value: false)
 option('with_docs', type: 'boolean', value: false)
+
+option('network_tests', type: 'boolean', value: true, description: 'Allow networking in unit-tests')
 
 option('ctags_path', type: 'string', value: '')

=== debian/changelog ===
gnome-builder (3.30.3-2) unstable; urgency=medium

  * Explicitly use vala 0.42 instead of virtual packages for dependencies:
    - using virtual packages allows for no-longer-built-from-source (and
      therefore unsupportable) versions to satisfy the dependency
  * Update Vcs fields for debian/buster

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 22 Feb 2019 07:48:45 -0500

gnome-builder (3.30.3-1) unstable; urgency=medium

  * New upstream release
  * Only enable Flatpak on arches where it has built

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 12 Jan 2019 20:25:57 -0500

gnome-builder (3.30.2-2) unstable; urgency=medium

  * Drop autotools-related recommends since we no longer provide
    autotools templates
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 09:48:46 -0500

gnome-builder (3.30.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (Closes: #914668)
  * Bump dependencies: glib 2.58.0, jsonrpc-glib 3.30.1, libdazzle 3.30.2
  * Add -Wl,-O1 to LDFLAGS
  * Drop patches applied in new release

  [ Laurent Bigonville ]
  * debian/rules: Use dh_shlibdeps -l instead of using LD_LIBRARY_PATH

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 11 Dec 2018 22:16:48 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-builder
Section: editors
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: appstream-util,
               at-spi2-core <!nocheck>,
               ca-certificates <!nocheck>,
               dbus <!nocheck>,
               dh-python,
               python3-gi (>= 3.22.0),
               python3:any,
               debhelper (>= 11.1),
               desktop-file-utils,
               exuberant-ctags,
               gnome-pkg-tools,
               gobject-introspection (>= 1.48.0),
               libclang-dev,
               libdazzle-1.0-dev (>= 3.30.2),
               libdevhelp-dev (>= 3.20.0),
               libenchant-dev (>= 1.6.0),
               libflatpak-dev (>= 0.6.9) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
               libgit2-glib-1.0-dev (>= 0.25.0),
               libjsonrpc-glib-1.0-dev (>= 3.30.1),
               libsoup2.4-dev,
               libglib2.0-dev (>= 2.58.0),
               libgspell-1-dev (>= 1.2.0),
               libgtk-3-dev (>= 3.22.1),
               libgtksourceview-4-dev (>= 4.0.0),
               libjson-glib-dev (>= 0.1.0),
               libpango1.0-dev (>= 1.38.0),
               libpcre3-dev,
               libpeas-dev (>= 1.22.0),
               libtemplate-glib-1.0-dev (>= 3.28.0),
               libvala-0.42-dev,
               libvte-2.91-dev (>= 0.46),
               libwebkit2gtk-4.0-dev (>= 2.8.4),
               libxml2-dev (>= 2.9.0),
               llvm,
               llvm-dev,
               meson (>= 0.47.1),
               mm-common,
               sysprof (>= 3.29.3) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
               valac (>= 0.39.7),
               valac (>= 0.41),
               xauth <!nocheck>,
               xvfb <!nocheck>,
# Don't (re)build libide api docs for now:
#               gtk-doc-tools,
Rules-Requires-Root: no
Standards-Version: 4.3.0
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder/tree/debian/buster
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git -b debian/buster
Homepage: https://wiki.gnome.org/Apps/Builder

Package: gnome-builder
Architecture: any
Depends: exuberant-ctags,
         gir1.2-ggit-1.0 (>= 0.25.0),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0 (>= 3.22.1),
         gir1.2-gtksource-3.0 (>= 3.22.0),
         gir1.2-peas-1.0 (>= 1.22.0),
         gir1.2-webkit2-4.0 (>= 2.8.4),
         python3-gi,
         valac-0.42-vapi,
         libvala-0.42-dev,
         clang,
         ${gir:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: build-essential,
            flatpak-builder,
            gettext,
            meson,
            pkg-config,
            python3-jedi,
            python3-lxml,
            sysprof,
            valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x x32]
Description: IDE for GNOME
 Builder is a new IDE for GNOME that is focused on bringing the power of
 our platform to more developers than ever before.
 .
 Builder attempts to be an IDE for writing software for GNOME. It does not try
 to be a generic IDE, but one specialized for GNOME application developers.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
 
 # Explicitly disable this plugin which defaults to enabled
 # unless we're on the limited set of architectures that has sysprof.
@@ -18,10 +18,13 @@
 VALGRIND_PLUGIN = -Dwith_valgrind=false
 endif
 
-ifneq (,$(findstring linux,$(DEB_HOST_ARCH_OS)))
-FLATPAK_PLUGIN = -Dwith_flatpak=true
+ifeq ($(DEB_HOST_ARCH_OS), linux)
+        # Enable Flatpak support on supported architectures
+        ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
+		FLATPAK_PLUGIN = -Dwith_flatpak=true
+        endif
 else
-FLATPAK_PLUGIN = -Dwith_flatpak=false
+		FLATPAK_PLUGIN = -Dwith_flatpak=false
 endif
 
 %:
@@ -60,7 +63,7 @@
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder
 
 override_dh_shlibdeps:
-	LD_LIBRARY_PATH="debian/gnome-builder/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/" dh_shlibdeps
+	dh_shlibdeps -ldebian/gnome-builder/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/
 
 override_dh_girepository:
 	dh_girepository -ldebian/tmp/usr/share/gnome-builder/gir-1.0 \

## gnome-builder 3.31.90

=== debian/changelog ===
gnome-builder (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Bump dependencies: libdazzle-1.0-dev 3.31.90, libglib2.0-dev 2.59.2,
    libwebkit2gtk-4.0-dev 2.22, meson 0.48.0, and sysprof 3.31.90
  * Build-Depend on libgladeui-dev
  * Depend on gir1.2-jsonrpc-1.0
  * debian/rules: Update build flags
  * Update install rules
  * Drop debian/gnome-builder.lintian-overrides: Obsolete

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 07 Feb 2019 17:01:40 -0500

## gnome-builder 3.31.91

=== meson_options.txt ===
option('tracing', type: 'boolean', value: false, description: 'Enable tracing of internals for troubleshooting Builder')
option('profiling', type: 'boolean', value: false, description: 'Enable profiling of the Builder codebase')
option('fusermount_wrapper', type: 'boolean', value: false, description: 'Install fusermount-wrapper when distributing with flatpak')
option('tcmalloc', type: 'boolean', value: false, description: 'Use tcmalloc for dynamic allocations')

option('with_safe_path', type: 'string', value: '', description: 'PATH variable to run build commands (default: platform-specific)')

option('with_channel',
          type: 'combo',
       choices: [ 'other', 'flatpak-stable', 'flatpak-nightly' ],
   description: 'The distribution channel for Builder',
)

option('help', type: 'boolean', value: false)
option('docs', type: 'boolean', value: false)

option('network_tests', type: 'boolean', value: true, description: 'Allow networking in unit-tests')

option('ctags_path', type: 'string', value: '')

option('python_libprefix', type: 'string')

option('plugin_autotools', type: 'boolean')
option('plugin_beautifier', type: 'boolean')
option('plugin_c_pack', type: 'boolean')
option('plugin_cargo', type: 'boolean')
option('plugin_clang', type: 'boolean')
option('plugin_cmake', type: 'boolean')
option('plugin_code_index', type: 'boolean')
option('plugin_color_picker', type: 'boolean')
option('plugin_ctags', type: 'boolean')
option('plugin_devhelp', type: 'boolean')
option('plugin_deviced', type: 'boolean', value: false)
option('plugin_editorconfig', type: 'boolean')
option('plugin_eslint', type: 'boolean')
option('plugin_file_search', type: 'boolean')
option('plugin_flatpak', type: 'boolean')
option('plugin_gdb', type: 'boolean')
option('plugin_gettext', type: 'boolean')
option('plugin_git', type: 'boolean')
option('plugin_gjs_symbols', type: 'boolean')
option('plugin_glade', type: 'boolean')
option('plugin_gnome_code_assistance', type: 'boolean')
option('plugin_go_langserv', type: 'boolean')
option('plugin_gradle', type: 'boolean')
option('plugin_grep', type: 'boolean')
option('plugin_html_completion', type: 'boolean')
option('plugin_html_preview', type: 'boolean')
option('plugin_jedi', type: 'boolean')
option('plugin_jhbuild', type: 'boolean')
option('plugin_make', type: 'boolean')
option('plugin_maven', type: 'boolean')
option('plugin_meson', type: 'boolean')
option('plugin_modelines', type: 'boolean')
option('plugin_mono', type: 'boolean')
option('plugin_newcomers', type: 'boolean')
option('plugin_notification', type: 'boolean')
option('plugin_npm', type: 'boolean')
option('plugin_phpize', type: 'boolean')
option('plugin_podman', type: 'boolean', value: false)
option('plugin_python_pack', type: 'boolean')
option('plugin_qemu', type: 'boolean')
option('plugin_quick_highlight', type: 'boolean')
option('plugin_retab', type: 'boolean')
option('plugin_rls', type: 'boolean')
option('plugin_rustup', type: 'boolean')
option('plugin_spellcheck', type: 'boolean')
option('plugin_sysprof', type: 'boolean')
option('plugin_sysroot', type: 'boolean')
option('plugin_todo', type: 'boolean')
option('plugin_vala', type: 'boolean')
option('plugin_valgrind', type: 'boolean')
option('plugin_words', type: 'boolean')
option('plugin_xml_pack', type: 'boolean')

=== debian/changelog ===
gnome-builder (3.31.91-2) experimental; urgency=medium

  * Update dependencies for vala 0.44 series

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 22 Feb 2019 08:09:49 -0500

gnome-builder (3.31.91-1) experimental; urgency=medium

  * New upstream development release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 18 Feb 2019 22:25:22 -0500

=== debian/control ===
--- 
+++ 
@@ -20,14 +20,15 @@
                gnome-pkg-tools,
                gobject-introspection (>= 1.48.0),
                libclang-dev,
-               libdazzle-1.0-dev (>= 3.30.2),
+               libdazzle-1.0-dev (>= 3.31.90),
                libdevhelp-dev (>= 3.20.0),
                libenchant-dev (>= 1.6.0),
                libflatpak-dev (>= 0.6.9) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libgit2-glib-1.0-dev (>= 0.25.0),
+               libgladeui-dev,
                libjsonrpc-glib-1.0-dev (>= 3.30.1),
                libsoup2.4-dev,
-               libglib2.0-dev (>= 2.58.0),
+               libglib2.0-dev (>= 2.59.2),
                libgspell-1-dev (>= 1.2.0),
                libgtk-3-dev (>= 3.22.1),
                libgtksourceview-4-dev (>= 4.0.0),
@@ -36,17 +37,16 @@
                libpcre3-dev,
                libpeas-dev (>= 1.22.0),
                libtemplate-glib-1.0-dev (>= 3.28.0),
-               libvala-0.42-dev,
+               libvala-0.44-dev,
                libvte-2.91-dev (>= 0.46),
-               libwebkit2gtk-4.0-dev (>= 2.8.4),
+               libwebkit2gtk-4.0-dev (>= 2.22),
                libxml2-dev (>= 2.9.0),
                llvm,
                llvm-dev,
-               meson (>= 0.47.1),
+               meson (>= 0.48.0),
                mm-common,
-               sysprof (>= 3.29.3) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
-               valac (>= 0.39.7),
-               valac (>= 0.41),
+               sysprof (>= 3.31.90) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
+               valac (>= 0.43),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 # Don't (re)build libide api docs for now:
@@ -54,8 +54,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.3.0
 X-Ubuntu-Use-Langpack: yes
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder/tree/debian/buster
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git -b debian/buster
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git
 Homepage: https://wiki.gnome.org/Apps/Builder
 
 Package: gnome-builder
@@ -65,11 +65,12 @@
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0 (>= 3.22.1),
          gir1.2-gtksource-3.0 (>= 3.22.0),
+         gir1.2-jsonrpc-1.0 (>= 3.30.1),
          gir1.2-peas-1.0 (>= 1.22.0),
          gir1.2-webkit2-4.0 (>= 2.8.4),
          python3-gi,
-         valac-0.42-vapi,
-         libvala-0.42-dev,
+         valac-0.44-vapi,
+         libvala-0.44-dev,
          clang,
          ${gir:Depends},
          ${misc:Depends},

## gnome-builder 3.31.92

=== meson_options.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 option('with_channel',
           type: 'combo',
-       choices: [ 'other', 'flatpak-stable', 'flatpak-nightly' ],
+       choices: [ 'other', 'flatpak-stable', 'flatpak-beta', 'flatpak-nightly' ],
    description: 'The distribution channel for Builder',
 )
 
@@ -70,5 +70,6 @@
 option('plugin_todo', type: 'boolean')
 option('plugin_vala', type: 'boolean')
 option('plugin_valgrind', type: 'boolean')
+option('plugin_waf', type: 'boolean')
 option('plugin_words', type: 'boolean')
 option('plugin_xml_pack', type: 'boolean')

=== debian/changelog ===
gnome-builder (3.31.92-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.49.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 07 Mar 2019 05:18:46 -0500

## gnome-builder 3.32.0

=== debian/changelog ===
gnome-builder (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Add lower-meson-requirement-to-0.49.0.patch:
    - Ubuntu 19.04 has meson 0.49.0 not 0.49.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Mar 2019 21:39:53 -0400

=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
                libxml2-dev (>= 2.9.0),
                llvm,
                llvm-dev,
-               meson (>= 0.48.0),
+               meson (>= 0.49.0),
                mm-common,
                sysprof (>= 3.31.90) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
                valac (>= 0.43),

=== debian/rules ===
--- 
+++ 
@@ -7,24 +7,24 @@
 # unless we're on the limited set of architectures that has sysprof.
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifneq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32,$(DEB_HOST_ARCH)))
-SYSPROF_PLUGIN = -Dwith_sysprof=true
+SYSPROF_PLUGIN = -Dplugin_sysprof=true
 else
-SYSPROF_PLUGIN = -Dwith_sysprof=false
+SYSPROF_PLUGIN = -Dplugin_sysprof=false
 endif
 
 ifneq (,$(filter amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x x32,$(DEB_HOST_ARCH)))
-VALGRIND_PLUGIN = -Dwith_valgrind=true
+VALGRIND_PLUGIN = -Dplugin_valgrind=true
 else
-VALGRIND_PLUGIN = -Dwith_valgrind=false
+VALGRIND_PLUGIN = -Dplugin_valgrind=false
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
         # Enable Flatpak support on supported architectures
         ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
-		FLATPAK_PLUGIN = -Dwith_flatpak=true
+		FLATPAK_PLUGIN = -Dplugin_flatpak=true
         endif
 else
-		FLATPAK_PLUGIN = -Dwith_flatpak=false
+		FLATPAK_PLUGIN = -Dplugin_flatpak=false
 endif
 
 %:
@@ -50,8 +50,6 @@
 
 override_dh_install:
 	rm -rf debian/tmp/usr/lib/python*/*-packages/gi/overrides/__pycache__/
-	find debian/tmp -name '*.la' -print -delete
-	find debian/tmp/usr/lib/ \( -name '*.pyc' -o -name '*.pyo' \) -print -delete
 	rm -rf debian/tmp/usr/include/gnome-builder-*
 	dh_install -Xpkgconfig -Xgir-1.0

## gnome-builder 3.32.4

=== debian/changelog ===
gnome-builder (3.32.4-2) unstable; urgency=medium

  * Depend on gir1.2-gtksource-4 instead of gir1.2-gtksource-3.0
  * Depend and Build-Depend on unversion libvala-dev

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Sep 2019 19:09:04 -0400

gnome-builder (3.32.4-1) unstable; urgency=medium

  * New upstream release
  * Build with vala 0.46
  * Bump minimum meson to 0.50.0
  * Drop lower-meson-requirement-to-0.49.0.patch: No longer needed
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gir, dh-sequence-gnome & dh-sequence-python3
  * debian/gnome-builder.install: Install /usr/libexec/gnome-builder-clang
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Sep 2019 08:37:30 -0400

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,13 @@
                at-spi2-core <!nocheck>,
                ca-certificates <!nocheck>,
                dbus <!nocheck>,
-               dh-python,
                python3-gi (>= 3.22.0),
                python3:any,
-               debhelper (>= 11.1),
+               debhelper-compat (= 12),
                desktop-file-utils,
+               dh-sequence-gir,
+               dh-sequence-gnome,
+               dh-sequence-python3,
                exuberant-ctags,
                gnome-pkg-tools,
                gobject-introspection (>= 1.48.0),
@@ -37,16 +39,16 @@
                libpcre3-dev,
                libpeas-dev (>= 1.22.0),
                libtemplate-glib-1.0-dev (>= 3.28.0),
-               libvala-0.44-dev,
+               libvala-dev,
                libvte-2.91-dev (>= 0.46),
                libwebkit2gtk-4.0-dev (>= 2.22),
                libxml2-dev (>= 2.9.0),
                llvm,
                llvm-dev,
-               meson (>= 0.49.0),
+               meson (>= 0.50.0),
                mm-common,
                sysprof (>= 3.31.90) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
-               valac (>= 0.43),
+               valac (>= 0.40),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 # Don't (re)build libide api docs for now:
@@ -64,13 +66,12 @@
          gir1.2-ggit-1.0 (>= 0.25.0),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0 (>= 3.22.1),
-         gir1.2-gtksource-3.0 (>= 3.22.0),
+         gir1.2-gtksource-4,
          gir1.2-jsonrpc-1.0 (>= 3.30.1),
          gir1.2-peas-1.0 (>= 1.22.0),
          gir1.2-webkit2-4.0 (>= 2.8.4),
          python3-gi,
-         valac-0.44-vapi,
-         libvala-0.44-dev,
+         libvala-dev,
          clang,
          ${gir:Depends},
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 endif
 
 %:
-	dh $@  --with gir,gnome,python3
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## gnome-builder 3.34.1

=== meson_options.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 option('with_safe_path', type: 'string', value: '', description: 'PATH variable to run build commands (default: platform-specific)')
 
-option('with_channel',
+option('channel',
           type: 'combo',
        choices: [ 'other', 'flatpak-stable', 'flatpak-beta', 'flatpak-nightly' ],
    description: 'The distribution channel for Builder',
@@ -31,6 +31,7 @@
 option('plugin_ctags', type: 'boolean')
 option('plugin_devhelp', type: 'boolean')
 option('plugin_deviced', type: 'boolean', value: false)
+option('plugin_dspy', type: 'boolean')
 option('plugin_editorconfig', type: 'boolean')
 option('plugin_eslint', type: 'boolean')
 option('plugin_file_search', type: 'boolean')
@@ -57,18 +58,20 @@
 option('plugin_notification', type: 'boolean')
 option('plugin_npm', type: 'boolean')
 option('plugin_phpize', type: 'boolean')
-option('plugin_podman', type: 'boolean', value: false)
+option('plugin_podman', type: 'boolean')
 option('plugin_python_pack', type: 'boolean')
 option('plugin_qemu', type: 'boolean')
 option('plugin_quick_highlight', type: 'boolean')
 option('plugin_retab', type: 'boolean')
 option('plugin_rls', type: 'boolean')
 option('plugin_rustup', type: 'boolean')
+option('plugin_shellcmd', type: 'boolean')
 option('plugin_spellcheck', type: 'boolean')
 option('plugin_sysprof', type: 'boolean')
 option('plugin_sysroot', type: 'boolean')
 option('plugin_todo', type: 'boolean')
 option('plugin_vala', type: 'boolean')
+option('plugin_vagrant', type: 'boolean', value: false)
 option('plugin_valgrind', type: 'boolean')
 option('plugin_waf', type: 'boolean')
 option('plugin_words', type: 'boolean')

=== debian/changelog ===
gnome-builder (3.34.1-1) unstable; urgency=medium

  * New upstream release
    - Bump the (build-)dependencies
  * debian/rules: Properly disable flatpak on architectures where it's not
    supported
  * debian/patches: Fix FTBFS with meson 0.52, patches from upstream
  * debian/gnome-builder.install: Install the new gnome-builder-git and
    gnome-builder-vala helper executable
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 02 Jan 2020 03:35:18 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: editors
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,
                ca-certificates <!nocheck>,
@@ -22,15 +22,15 @@
                gnome-pkg-tools,
                gobject-introspection (>= 1.48.0),
                libclang-dev,
-               libdazzle-1.0-dev (>= 3.31.90),
+               libdazzle-1.0-dev (>= 3.33.90),
                libdevhelp-dev (>= 3.20.0),
                libenchant-dev (>= 1.6.0),
                libflatpak-dev (>= 0.6.9) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
-               libgit2-glib-1.0-dev (>= 0.25.0),
+               libgit2-glib-1.0-dev (>= 0.28.0.1),
                libgladeui-dev,
                libjsonrpc-glib-1.0-dev (>= 3.30.1),
                libsoup2.4-dev,
-               libglib2.0-dev (>= 2.59.2),
+               libglib2.0-dev (>= 2.61.2),
                libgspell-1-dev (>= 1.2.0),
                libgtk-3-dev (>= 3.22.1),
                libgtksourceview-4-dev (>= 4.0.0),
@@ -47,14 +47,14 @@
                llvm-dev,
                meson (>= 0.50.0),
                mm-common,
-               sysprof (>= 3.31.90) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
+               sysprof (>= 3.33.4) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
                valac (>= 0.40),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 # Don't (re)build libide api docs for now:
 #               gtk-doc-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git
@@ -63,7 +63,7 @@
 Package: gnome-builder
 Architecture: any
 Depends: exuberant-ctags,
-         gir1.2-ggit-1.0 (>= 0.25.0),
+         gir1.2-ggit-1.0 (>= 0.28.0.1),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0 (>= 3.22.1),
          gir1.2-gtksource-4,
@@ -84,7 +84,7 @@
             pkg-config,
             python3-jedi,
             python3-lxml,
-            sysprof,
+            sysprof (>= 3.33.4),
             valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x x32]
 Description: IDE for GNOME
  Builder is a new IDE for GNOME that is focused on bringing the power of

=== debian/rules ===
--- 
+++ 
@@ -18,13 +18,11 @@
 VALGRIND_PLUGIN = -Dplugin_valgrind=false
 endif
 
-ifeq ($(DEB_HOST_ARCH_OS), linux)
-        # Enable Flatpak support on supported architectures
-        ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
-		FLATPAK_PLUGIN = -Dplugin_flatpak=true
-        endif
+# Enable Flatpak support on supported architectures
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
+	FLATPAK_PLUGIN = -Dplugin_flatpak=true
 else
-		FLATPAK_PLUGIN = -Dplugin_flatpak=false
+	FLATPAK_PLUGIN = -Dplugin_flatpak=false
 endif
 
 %:

## gnome-builder 3.35.91

=== debian/changelog ===
gnome-builder (3.35.91-1) unstable; urgency=medium

  * New upstream beta release
  * Drop backported meson patch: applied in new release
  * Disable new update-manager plugin:
    - It's intended for users of the Flatpak build of GNOME Builder

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 16 Feb 2020 19:48:52 -0500

gnome-builder (3.34.1-2) unstable; urgency=medium

  * Enable the sysprof module on all linux architectures
  * Drop d/p/revert-spellcheck-depend-on-enchant-2.patch, enchant-2 is
    available in unstable (Closes: #948352)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 23 Jan 2020 10:27:08 +0100
